Package ch.qos.logback.core.joran.spi

# Class ElementPath

java.lang.Object
ch.qos.logback.core.joran.spi.ElementPath

Direct Known Subclasses:
  `ElementSelector`

public class ElementPath extends Object
A element path characterizes a traversal path in an XML document.

Since:
  1.1.0
Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`ElementPath()`
`ElementPath(String pathStr)`
Build an elementPath from a string.
`ElementPath(List<String> list)`

## Method Summary

Modifier and Type
Method
Description
`ElementPath`
`duplicate()`
`boolean`
`equals(Object o)`
`String`
`get(int i)`
`List<String>`
`getCopyOfPartList()`
`String`
`peekLast()`
`void`
`pop()`
`void`
`push(String s)`
`int`
`size()`
`protected String`
`toStableString()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ElementPath

public ElementPath()

### ElementPath

public ElementPath(List<String> list)

### ElementPath

public ElementPath(String pathStr)
Build an elementPath from a string.

Note that "/x" is considered equivalent to "x" and to "x/"

## Method Details

### duplicate

public ElementPath duplicate()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### getCopyOfPartList

public List<String> getCopyOfPartList()

### push

public void push(String s)

### get

public String get(int i)

### pop

public void pop()

### peekLast

public String peekLast()

### size

public int size()

### toStableString

protected String toStableString()

### toString

public String toString()

Overrides:
  `toString` in class `Object`